#!/bin/bash
# Run before merging a PR. Checks if the formatting is correct.
# Check if there are any formatting issues
echo "Checking formatting..."
dart_format_result=$(dart format --output none --set-exit-if-changed .)
if [[ ! "$?" = "0" ]]; then
    echo "Error: dart format indicates that format the code is not formatted properly"
    echo
    echo "dart format output:"
    echo "$dart_format_result"
    exit 1
fi

# Check if the linter has any issues
echo "Checking linter..."
flutter_analyze_result=$(flutter analyze)
if [[ ! "$?" = "0" ]]; then
    echo "Error: flutter analyze indicates that there are lint issues"
    echo
    echo "flutter analyze output:"
    echo "${flutter_analyze_result}"
    exit 1
fi

echo "PR looks good!"
